org.jboss.netty.handler.codec

## Class PrematureChannelClosureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.PrematureChannelClosureException

All Implemented Interfaces:
  Serializable

    public class PrematureChannelClosureException
    extends Exception

Exception which should get thrown if a Channel got closed before it is expected

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrematureChannelClosureException()`
`PrematureChannelClosureException(String msg)`
`PrematureChannelClosureException(String msg, Throwable t)`
`PrematureChannelClosureException(Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrematureChannelClosureException

    public PrematureChannelClosureException()

#### PrematureChannelClosureException

    public PrematureChannelClosureException(String msg)

#### PrematureChannelClosureException

    public PrematureChannelClosureException(String msg,
                                    Throwable t)

#### PrematureChannelClosureException

    public PrematureChannelClosureException(Throwable t)